import { createAction, props } from '@ngrx/store';

export const changeZoom = createAction(
  '[Setting::Native] Change Zoom',
  props<{ zoom: number }>()
);

export const changeZoomSuccess = createAction(
  '[Setting::Native] changeZoom Success',
  props<{
    zoom: number;
  }>()
);
export const changeZoomFailure = createAction(
  '[Setting::Native] changeZoom Failure',
  props<{ error: any }>()
);
